/* 
 * @Program for ignoring Comments While Parsing an XML File 
 * IgnoringComments.java 
 * Author:-RoseIndia Team
 * Date:-21-July-2008
 */

import java.io.*;
import org.w3c.dom.*;
import javax.xml.parsers.*;
import javax.xml.transform.*;
import javax.xml.transform.dom.*;
import javax.xml.transform.stream.*;

public class IgnoringComments {

    public static void main(String[] args) throws Exception {
        File file = new File("Document4.xml");
        DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
        factory.setValidating(false);
        // Ignores all the comments described in the XML File
        factory.setIgnoringComments(true);
        DocumentBuilder builder = factory.newDocumentBuilder();
        Document doc = builder.parse(file);
        new IgnoringComments().read(doc);
    }

    public void read(Document doc) throws Exception {
        TransformerFactory factory1 = TransformerFactory.newInstance();
        Transformer transformer = factory1.newTransformer();
        transformer.setOutputProperty(OutputKeys.INDENT, "yes");

        StringWriter writer = new StringWriter();
        StreamResult result = new StreamResult(writer);
        DOMSource source = new DOMSource(doc);
        transformer.transform(source, result);
        String s = writer.toString();
        System.out.println(s);
    }
}


